var qBittorrentApp = qBittorrentApp || {};
qBittorrentApp.App = function() {
    this.id           = 'qBittorrent';
    this.name         = 'qBittorrent';
    this.version      = '6.0.0';
    this.active       = false;
    this.menuIcon     = '/apps/qbittorrent/images/logo.png?v=6.0.12&';
    this.shortcutIcon = '/apps/qbittorrent/images/logo.png?v=6.0.12&';
    this.entryUrl     = '/apps/qbittorrent/default_save_path.php?v=6.0.12&';
    var self = this;
    this.qBittorrentAppWindow = function() {
        if (UNAS.CheckAppState('qBittorrent')) {
            return false;
        }
        self.window = new MUI.Window({
            id:            'qBittorrentAppWindow',
            title:         UNAS._('qBittorrent'),
            icon:          '/apps/qbittorrent/images/logo_small.png?v=6.0.12&',
            loadMethod:    'xhr',
            width:         820,
            height:        550,
            maximizable:   false,
            resizable:     true,
            scrollbars:    false,
            resizeLimit:   { 'x': [1000, 2000], 'y': [400, 3000] },
            contentURL:    '/apps/qbittorrent/default_save_path.php?v=6.0.12&',
            require:       {  css: ['/apps/qbittorrent/css/qbittorrent.css'] },
            onBeforeBuild: function() { UNAS.SetAppOpenedWindow("qBittorrent", 'qBittorrentAppWindow'); }
        });
    };

    new UNAS.Menu('UNAS_App_Internet_Menu', this.name, this.menuIcon, 'qBittorrent', '', this.qBittorrentAppWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'qBittorrent', this.qBittorrentAppWindow);
    //new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Internet', 'Laction' : 3, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Internet', 'Laction' : 3, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});

    this.qBittorrentUninstall = function() {
        UNAS.RemoveDesktopShortcut('qBittorrent');
        UNAS.RemoveMenu('qBittorrent');
        //UNAS.RemoveAppFromGroups('qBittorrent', 'Help');
        //UNAS.RemoveAppFromGroups('qBittorrent', 'ControlPanel');
        UNAS.RemoveAppFromApps('qBittorrent');
    };

    var OnChangeLanguage = function(e) {
        UNAS.SetMenuTitle('qBittorrent', UNAS._('qBittorrent')); //translate menu
        UNAS.SetShortcutTitle('qBittorrent', UNAS._('qBittorrent'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('qBittorrentAppWindow', UNAS._('qBittorrent'));
        }
    };
    UNAS.LoadTranslation('/apps/qbittorrent/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.qBittorrentAppWindow, this.qBittorrentUninstall);
};

var qBittorrent = new qBittorrentApp.App();
